=== debian/control ===
--- 
+++ 
@@ -9,30 +9,30 @@
                extra-cmake-modules (>= 5.31.0~),
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
-               libkf5akonadi-dev (>= 4:23.08.4~),
-               libkf5akonadimime-dev (>= 4:23.08.4~),
+               libkf5akonadi-dev (>= 4:23.08.5~),
+               libkf5akonadimime-dev (>= 4:23.08.5~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.4~),
-               libkf5grantleetheme-dev (>= 23.08.4~),
+               libkf5contacteditor-dev (>= 4:23.08.5~),
+               libkf5grantleetheme-dev (>= 23.08.5~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 23.08.4~),
-               libkf5libkdepim-dev (>= 4:23.08.4~),
-               libkf5mailimporter-dev (>= 4:23.08.4~),
-               libkf5mailtransport-dev (>= 23.08.4~),
-               libkf5messagecomposer-dev (>= 4:23.08.4~),
-               libkf5messagecore-dev (>= 4:23.08.4~),
-               libkf5messagelist-dev (>= 4:23.08.4~),
-               libkf5messageviewer-dev (>= 4:23.08.4~),
-               libkf5mime-dev (>= 23.08.4~),
-               libkf5mimetreeparser-dev (>= 4:23.08.4~),
-               libkf5pimcommon-dev (>= 4:23.08.4~),
+               libkf5ldap-dev (>= 23.08.5~),
+               libkf5libkdepim-dev (>= 4:23.08.5~),
+               libkf5mailimporter-dev (>= 4:23.08.5~),
+               libkf5mailtransport-dev (>= 23.08.5~),
+               libkf5messagecomposer-dev (>= 4:23.08.5~),
+               libkf5messagecore-dev (>= 4:23.08.5~),
+               libkf5messagelist-dev (>= 4:23.08.5~),
+               libkf5messageviewer-dev (>= 4:23.08.5~),
+               libkf5mime-dev (>= 23.08.5~),
+               libkf5mimetreeparser-dev (>= 4:23.08.5~),
+               libkf5pimcommon-dev (>= 4:23.08.5~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:23.08.4~),
+               libkf5templateparser-dev (>= 4:23.08.5~),
                libkf5textaddons-dev,
-               libkf5webengineviewer-dev (>= 4:23.08.4~),
+               libkf5webengineviewer-dev (>= 4:23.08.5~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                libphonon4qt5-dev,
@@ -50,15 +50,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.4~),
-         libkf5akonadimime-dev (>= 4:23.08.4~),
+Depends: libkf5akonadi-dev (>= 4:23.08.5~),
+         libkf5akonadimime-dev (>= 4:23.08.5~),
          libkf5config-dev (>= 5.31.0~),
-         libkf5libkdepim-dev (>= 4:23.08.4~),
-         libkf5messagecomposer-dev (>= 4:23.08.4~),
-         libkf5messagecore-dev (>= 4:23.08.4~),
-         libkf5messageviewer-dev (>= 4:23.08.4~),
-         libkf5mimetreeparser-dev (>= 4:23.08.4~),
-         libkf5pimcommon-dev (>= 4:23.08.4~),
+         libkf5libkdepim-dev (>= 4:23.08.5~),
+         libkf5messagecomposer-dev (>= 4:23.08.5~),
+         libkf5messagecore-dev (>= 4:23.08.5~),
+         libkf5messageviewer-dev (>= 4:23.08.5~),
+         libkf5mimetreeparser-dev (>= 4:23.08.5~),
+         libkf5pimcommon-dev (>= 4:23.08.5~),
          libkpim5mailcommon5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
